class Base64File
{
  public function get_file_base64($fn){
    $data = file_get_contents($fn, 'r');
    $fc=base64_encode($data);
    return $fc;
  }

  public function put_file_base64($fc,$fn){
    $d=base64_decode($fc);
    file_put_contents($fn,$d);
  }
}
